Subject: bug#19481: new tar-header-extractable-p, to use in tar-untar-buffer

From: Ivan Shmakov <[email-masked]>
Date: Sat, 07 Feb 2015 20:10:41 +0000

>>>>> Eli Zaretskii <[email-masked]> writes:
>>>>> From: Ivan Shmakov  Date: Sat, 31 Jan 2015 11:05:48 +0000

[…]

 >>> Can we have a test suite for this file,

 >> Which of the two?  (Or three, to count the .tar file produced by
 >> $ git archive.)

 > I meant tar-mode.el, and specifically where the new function is used.

	ACK.  How do I provide a sample .tar file to use in the test?

 >> FTR, the two changes I suggest are not /inter/dependent, so I intend
 >> to push them as two separate commits.

 > Does the tar-header-extractable-p function make any sense without its
 > use in package.el?  If so, then yes, these should be 2 separate
 > commits.

	I believe that this function may indeed be useful to any
	third-party code which needs to examine a Tar file before
	passing it to tar-untar-buffer.  Also, the changes suggested
	make it easier to use the latter to extract only the members
	matching specific (i. e., defined by the caller) criteria.

[…]

-- 
FSF associate member #7257  np. Fly by Night — Rush     … 3013 B6A0 230E 334A